<?php

class Certificados extends CI_Controller {

    public function __construct() {
        parent::__construct();
        //session_start();
        $this->seguranca();
        
        $this->load->model('Certificados_model', 'cm');
        $this->load->model('Cursos_model', 'cursosm');
        $this->load->model('Base_legal_model', 'bm');
        
        $this->load->view('adm/inc/header');
        $this->load->library('table');
    }

    public function seguranca() {
        if (!isset($_SESSION['nome_facilitador']) && !isset($_SESSION['email_facilitador']) && !isset($_SESSION['login'])) {
            redirect('login');
        }
    }

    public function index() {
        redirect('admin/certificados/nao_enviados');
    }
    
    public function reenviar() {
        //echo "aqui";
        $certificado=$this->uri->segment("4");
        $certificado= $this->cm->certi_imazon_historico_todos($certificado);
        $array= array('id_historico'=>$certificado[0]->id_historico,'transacao'=>$certificado[0]->transacao,'via'=>'2', 'data_registro'=>date("Y-m-d H:i:s"),'situacao'=>0,'codigo_programa'=>"006",'id_tipo'=>$certificado[0]->id_tipo);
        
        $this->cm->add_certificado_reenvio($array);
        redirect("admin/certificados/nao_enviados");
        //print_r($certificado);
        
        //print_r($array);
        
        
        
    }

    public function nao_enviados() {

        $inicio = (!$this->uri->segment("3")) ? 0 : $this->uri->segment("3");

        //inicia library de paginação
        $this->load->library('pagination');
        $this->load->library('form_validation');

        $config['base_url']    = base_url() . 'admin/certificados/nao_enviados';
        $config['uri_segment'] = 3;
        if ($this->input->post('buscar') !== null && strlen($this->input->post('buscar')) >= 2) {
            $config['total_rows'] = $this->cm->count_all_inativo($this->input->post('buscar')) + $this->cm->count_all_inativo_imazon($this->input->post('buscar'));
            $config['per_page']   = $config['total_rows'];
        } else {
            $config['per_page']   = 1000;
            $config['total_rows'] = count($this->cm->count_all_inativo()->result()) + $this->cm->count_all_inativo_imazon();
        }
        //busca dados do curso
        if (null !== $this->input->post('buscar') && strlen($this->input->post('buscar')) >= 2) {
            $data['certificados']        = $this->cm->get_all_inativo($inicio, $config['per_page'], $this->input->post('buscar'));
            $data['certificados_imazon'] = $this->cm->get_all_inativo_imazon($inicio, $config['per_page'], $this->input->post('buscar'));
        } else {
            $data['certificados']        = $this->cm->get_all_inativo($inicio, $config['per_page']);
            $data['certificados_imazon'] = $this->cm->get_all_inativo_imazon($inicio, $config['per_page']);
        }
        $this->pagination->initialize($config);
        $data['paginacao'] = $this->pagination->create_links();
        $this->load->view('adm/tela/certificado_nao_enviados', $data);
        $this->load->view('adm/inc/footer');
    }

    public function pendentes() {
        $inicio = (!$this->uri->segment("3")) ? 0 : $this->uri->segment("3");
        $this->load->library('pagination');
        $this->load->library('form_validation');
        $config['base_url'] = base_url() . 'admin/certificados/pendentes';
        $config['uri_segment'] = 3;
        if ($this->input->post('buscar') !== null && strlen($this->input->post('buscar')) >= 2) {
            $config['total_rows'] = $this->cm->count_all_pendentes($this->input->post('buscar'));
            $config['per_page'] = $config['total_rows'];
        } else {
            $config['total_rows'] = $this->cm->count_all_pendentes();
            $config['per_page'] = 10;
        }
        if (null !== $this->input->post('buscar') && strlen($this->input->post('buscar')) >= 2) {
            $data['certificados'] = $this->cm->get_all_pendentes($inicio, $config['per_page'], $this->input->post('buscar'));
        } else {
            $data['certificados'] = $this->cm->get_all_pendentes($inicio, $config['per_page']);
        }
        $this->pagination->initialize($config);
        $data['paginacao'] = $this->pagination->create_links();
        $this->load->view('adm/tela/certificado_pendentes', $data);
        $this->load->view('adm/inc/footer');
    }

    public function enviados() {
        $inicio = (!$this->uri->segment("3")) ? 0 : $this->uri->segment("3");
        $this->load->library('pagination');
        $this->load->library('form_validation');
        $config['base_url'] = base_url() . 'admin/certificados/enviados';
        $config['uri_segment'] = 3;
        
        //$config['per_page'] = null;
		  
		/*
        if ($this->input->post('buscar') !== null && strlen(trim($this->input->post('buscar'))) >= 2) {
            $config['total_rows'] = $this->cm->count_all_ativo(trim($this->input->post('buscar'))) + $this->cm->count_all_ativo_imazon($this->input->post('buscar'));
            $config['per_page'] = $config['total_rows'];
        } else {
            $config['per_page'] = 10;
            $config['total_rows'] = $this->cm->count_all_ativo();
        }
        if (null !== $this->input->post('buscar') && strlen(trim($this->input->post('buscar'))) >= 2) {
            $data['certificados'] = $this->cm->get_all_ativo($inicio, $config['per_page'], trim($this->input->post('buscar')));
            $data['certificados_imazon'] = $this->cm->get_all_ativo_imazon($inicio, $config['per_page'], $this->input->post('buscar'));
        } else {*/
              //$data['certificados'] = $this->cm->get_all_ativo($inicio, $config['per_page'], trim($this->input->post('buscar')));
			  
	$config['per_page'] = 30;
        
        $data['certificados'] = $this->cm->get_all_ativo($inicio, $config['per_page'], trim($this->input->post('buscar')));  
        $data['certificados_imazon'] = $this->cm->get_all_ativo_imazon($inicio, $config['per_page'], $this->input->post('buscar'));
       // }
            
		$a=$data;
		
        $this->pagination->initialize($config);
        $data['paginacao'] = $this->pagination->create_links();
        $this->load->view('adm/tela/certificado_enviados', $a);
        $this->load->view('adm/inc/footer');
    }

    //gera certificado web
    function gerar_certificado_impresso() {
	 

        $this->load->model('usuarios_model', 'um');
        $cedoc_doc_id_fk = base64_decode($this->uri->segment(4));
        $email           = base64_decode($this->uri->segment(5));
        
        if ($cedoc_doc_id_fk && $email) {
            $certificados = $this->cm->gera_todos_inativos($cedoc_doc_id_fk, $email)->result();
            $aluno = $this->um->get_by_id_fic($email)->result();

            if (count($certificados) == 0) {
                redirect('admin/certificados');
            } else {
                //$params = array('orientation' => 'P', 'unit' => 'mm', 'size' => 'A4');
                $this->load->library('fpdf');

                //gera certificados em pdf
                foreach ($certificados as $c) {
                    
                    $aulas = $this->cursosm->get_aulas($cedoc_doc_id_fk)->result();

                    $ementa = null;

                    $i = 1; //;
                    $limite = 16;

                    if(strlen(trim($c->descricao))>2){
                        $ementa = nl2br($c->descricao);
                    }else{
                        if(count($aulas)>0){
                            foreach ($aulas as $la) {
                                if ($i < 16) {
                                    $ementa .= nl2br($i . '. ' . ltrim(strtoupper($la->CATitulo)) . "\n");
                                }
                                $i++;
                            }
                        }
                    }
                    
                    $this->fpdf->AddPage();
                    
                    $this->fpdf->SetFont('Arial', 'B', 8);
                    $this->fpdf->Ln(10); //quebra de linha
                    $this->fpdf->setX(10);
                    $this->fpdf->Ln(5); //quebra de linha
                    $this->fpdf->SetFont('Arial', '', 12);
                    $this->fpdf->setY("58");
                    $this->fpdf->setX("5");


                    $this->fpdf->Cell(0, -20, 'Conferido a', 0, 1, 'C');
                    $this->fpdf->SetFont('Arial', 'B', 10);
                    $this->fpdf->Cell(0, 35, utf8_decode($aluno[0]->nome), 0, 1, 'C');
                    $this->fpdf->SetFont('Arial', '', 10);
                    $this->fpdf->Cell(0, -25, utf8_decode('Por ter concluído o Curso Livre '), 0, 1, 'C');
                    $this->fpdf->MultiCell(0, 40, utf8_decode($c->nome), 0, 'C');

                    $this->fpdf->setY(80);
                    $this->fpdf->setX(40);
                    $this->fpdf->Cell(0, 5, utf8_decode('Tipo: Capacitação/Atualização'), 0, 1);
                    $this->fpdf->setX(40);
                    $this->fpdf->Cell(0, 5, 'Aproveitamento: 10,0', 0, 1);
                    $this->fpdf->setX(40);
                    $this->fpdf->Cell(0, 5, utf8_decode('Certificado Registrado Sob. Nº ') . $c->usuarios_cursos_matriculados_id, 0, 1);

                    $this->fpdf->setY(80);
                    $this->fpdf->setX(120);
                    $this->fpdf->Cell(0, 5, utf8_decode('Carga Horária: ') . $c->UCMCargaHorariaCertificado . ' Horas', 0, 1);


                    if ($c->UCMData != '00/00/0000') {
                        $this->fpdf->setX(120);
                        $this->fpdf->Cell(0, 5, utf8_decode('Data Início: ') . date('d/m/Y', strtotime($c->UCMData)), 0, 1);
                    } else {
                        $this->fpdf->setX(120);
                        $this->fpdf->Cell(0, 5, utf8_decode('Data Início: ') . date('d/m/Y', strtotime($c->UCMData)), 0, 1);
                    }

                    $this->fpdf->setX(120);
                    $this->fpdf->Cell(0, 5, utf8_decode('Data de Término: ') . date('d/m/Y', strtotime($c->ultimo_dia)), 0, 1);

                    $this->fpdf->SetFont('Arial', '', 10);
                    $this->fpdf->SetXY(10, 100);
                    $texto = utf8_decode("Base Legal: Lei Nº 9394/96, Art 40, Resolução CNE/CEB Nº 6/2012, Art. 25º");
                    $texto2 = utf8_decode("Decreto 5154/2004, Art. 3º");
                    $this->fpdf->MultiCell(0, 5, $texto, 0, 'C');
                    $this->fpdf->MultiCell(0, 5, $texto2, 0, 'C');
                    $this->fpdf->SetFont('Arial', 'B', 10);

                    $this->fpdf->Cell(340, 18, utf8_decode('Belém, ') . date("d/m/Y"), 0, 1, 'C');

                    /*$this->fpdf->SetFont('Arial', '', 10);
                    $this->fpdf->SetLineWidth(0.2);
                    $this->fpdf->Line(10, 130, 70, 130);
                    $this->fpdf->SetXY(20, 135);
                    $this->fpdf->Cell(0, 1, 'Assinatura do/a Aluno/a', 0, 0);
                    $this->fpdf->SetXY(20, 140);
                     
                     */


                    /*$this->fpdf->Line(90, 130, 150, 130);
                    $this->fpdf->SetXY(110, 135);
                    $this->fpdf->Cell(0, 1, 'Diretor', 0, 0);
                     * 
                     */


                    // Página de Verso	
                    $this->fpdf->AddPage();
                    $this->fpdf->SetFont('Arial', '', 8);
                    $this->fpdf->Cell(0, 10, utf8_decode('Conteúdo'), 0, 1, 'L');
                    $this->fpdf->SetXY(10, 34);
                    $this->fpdf->MultiCell(0, 5, utf8_decode(strip_tags($ementa)), 0, 'L');
                    $this->fpdf->SetX(120);
                    $this->fpdf->Cell(0, 10, 'Autenticar em: https://www.imazoncursos.com.br/autenticacao/', 0, 0);
                    //$this->fpdf->Cell(0, 1, 'Autenticar: https://www.imazoncursos.com.br/autenticacao/', 0, 0);
                }

                $this->fpdf->Output();
            }
        
        } else {
            $certificados = $this->cm->busca_todos_certif_impressos_inativos()->result();
            
            if(count($certificados)>0){
                //$params = array('orientation' => 'P', 'unit' => 'mm', 'size' => 'A4');
                $this->load->library('fpdf');
                foreach($certificados as $c){
                    
                    $aluno        = $this->cm->gera_nome_certif_impresso_inativo_by_email($c->email);
                    $aulas        = $this->cursosm->get_aulas($c->curso)->result();
                    $curso        = $this->cursosm->get_by_id($c->curso)->result();
                    $certificado  = $this->cm->gera_certificado_by_historico($c->historico, $c->curso)->result();  
                    $ementa = null;
                    $i      = 1;
                    $limite = 16;
                    
                    if(strlen(trim($curso[0]->descricao))>2){
                        $ementa =strip_tags($curso[0]->descricao);
                    }else{
                        foreach ($aulas as $la) {
                            if ($i < 16) {
                                $ementa .= nl2br($i . '. ' . ltrim(strtoupper($la->CATitulo))). "\n";
                            }
                            $i++;
                        }
                    }
                   
                    $this->fpdf->AddPage();
                    
                    $this->fpdf->SetFont('Arial', 'B', 8);
                    $this->fpdf->Ln(10); //quebra de linha
                    $this->fpdf->setX(10);
                    $this->fpdf->Ln(5); //quebra de linha
                    $this->fpdf->SetFont('Arial', '', 12);
                    $this->fpdf->setY("58");
                    $this->fpdf->setX("5");
                    
                    $this->fpdf->Cell(0, -20, 'Conferido a ', 0, 1, 'C');
                    $this->fpdf->SetFont('Arial', 'B', 10);
                    $this->fpdf->Cell(0, 35, utf8_decode($aluno[0]->nome), 0, 1, 'C');
                    $this->fpdf->SetFont('Arial', '', 10);
                    $this->fpdf->Cell(0, -25, utf8_decode('Por ter concluído o Curso Livre '), 0, 1, 'C');
                    $this->fpdf->MultiCell(0, 40, utf8_decode($curso[0]->nome), 0, 'C');

                    $this->fpdf->setY(80);
                    $this->fpdf->setX(40);
                    $this->fpdf->Cell(0, 5, utf8_decode('Tipo: Capacitação/Atualização'), 0, 1);
                    $this->fpdf->setX(40);
                    $this->fpdf->Cell(0, 5, 'Aproveitamento: 10,0', 0, 1);
                    $this->fpdf->setX(40);
                    $this->fpdf->Cell(0, 5, utf8_decode('Certificado Registrado Sob. Nº ') . $certificado[0]->usuarios_cursos_matriculados_id, 0, 1);

                    $this->fpdf->setY(80);
                    $this->fpdf->setX(120);
                    @$this->fpdf->Cell(0, 5, utf8_decode('Carga Horária: ') . $certificado[0]->UCMCargaHorariaCertificado . ' Horas', 0, 1);
                    
                    if (@$certificado[0]->UCMData != '00/00/0000') {
                        $this->fpdf->setX(120);
                        @$this->fpdf->Cell(0, 5, utf8_decode('Data de Início: ') . date('d/m/Y', strtotime($certificado[0]->UCMData)), 0, 1);
                    } else {
                        $this->fpdf->setX(120);
                        $this->fpdf->Cell(0, 5, utf8_decode('Data de Início: ') . date('d/m/Y', strtotime($certificado[0]->UCMData)), 0, 1);
                    }

                    $this->fpdf->setX(120);
                    @$this->fpdf->Cell(0, 5, utf8_decode('Data de Término: ') .date('d/m/Y', strtotime($certificado[0]->ultimo_dia)) , 0, 1);

                    $this->fpdf->SetFont('Arial', '', 10);
                    $this->fpdf->SetXY(10, 100);
                    $texto = utf8_decode("Base Legal: Lei Nº 9394/96, Art 40, Resolução CNE/CEB Nº 6/2012, Art. 25º");
                    $texto2 = utf8_decode("Decreto 5154/2004, Art. 3º");
                    $this->fpdf->MultiCell(0, 5, $texto, 0, 'C');
                    $this->fpdf->MultiCell(0, 5, $texto2, 0, 'C');
                    $this->fpdf->SetFont('Arial', 'B', 10);

                    $this->fpdf->Cell(340, 18, utf8_decode('Belém, ') . date("d/m/Y"), 0, 1, 'C');

                    /*Assinatura do aluno
                     * $this->fpdf->SetFont('Arial', '', 10);
                    $this->fpdf->SetLineWidth(0.2);
                    $this->fpdf->Line(10, 130, 70, 130);
                    $this->fpdf->SetXY(20, 135);
                    $this->fpdf->Cell(0, 1, 'Assinatura do/a Aluno/a', 0, 0);
                    $this->fpdf->SetXY(20, 140);
                     * 
                     */


                    /*Assiantura do Diretor
                     * $this->fpdf->Line(90, 130, 150, 130);
                    $this->fpdf->SetXY(110, 135);
                    $this->fpdf->Cell(0, 1, 'Diretor', 0, 0);
                     * 
                     */


                    // Página de Verso	
                    $this->fpdf->AddPage();
					$this->fpdf->Image('imgs/logo.png', 155, 2); //logo abed
                    $this->fpdf->SetFont('Arial', 'B', 10);
				    $this->fpdf->Cell(0, 10, utf8_decode('Conteúdo'), 0, 1, 'L');
					$this->fpdf->SetFont('Arial', '', 10);
                    $this->fpdf->SetXY(12, 20);
					$this->fpdf->MultiCell(0, 5, utf8_decode(strip_tags($ementa)), 0, 'L');
                     
                    $this->fpdf->SetXY(110, 135);
                    $this->fpdf->Cell(0, 1, 'Certificado gerado Eletronicamente.', 0, 0);
                                        
                    $this->fpdf->SetXY(110, 139);
                    $this->fpdf->Cell(0, 1, 'Autenticar em: www.imazoncursos.com.br/autenticacao', 0, 0);
					$this->fpdf->SetXY(110, 143);
                    $this->fpdf->Cell(0, 1, utf8_decode('Código de Autenticação: ').$certificado[0]->UCMCertificadoLiberado, 0, 0);
                    $this->fpdf->SetXY(10, 139);
                    $this->fpdf->Cell(0, 1, 'Imazon Cursos Vip', 0, 0);
                }
                @$this->fpdf->Output();
            }else{
                redirect("admin/certificados/nao_enviados");
            }
        }
    }
	
	function marca_envio_imazon() { 
	 
	$inicio = (!$this->uri->segment("3")) ? 0 : $this->uri->segment("3");

        //inicia library de paginação
        $this->load->library('pagination');
        $this->load->library('form_validation');

        $config['base_url']    = base_url() . 'admin/certificados/nao_enviados';
        $config['uri_segment'] = 3;
        /*if ($this->input->post('buscar') !== null && strlen($this->input->post('buscar')) >= 2) {
            //$config['total_rows'] = $this->cm->count_all_inativo($this->input->post('buscar')) + $this->cm->count_all_inativo_imazon($this->input->post('buscar'));
            //$config['per_page']   = $config['total_rows'];
        } else {
            //$config['per_page']   = 1000;
            //$config['total_rows'] = count($this->cm->count_all_inativo()->result()) + $this->cm->count_all_inativo_imazon();
        }
        //busca dados do curso
        if (null !== $this->input->post('buscar') && strlen($this->input->post('buscar')) >= 2) {
            //$data['certificados']        = $this->cm->get_all_inativo($inicio, $config['per_page'], $this->input->post('buscar'));
            //$data['certificados_imazon'] = $this->cm->get_all_inativo_imazon($inicio, $config['per_page'], $this->input->post('buscar'));
        } else {
            //$data['certificados']        = $this->cm->get_all_inativo($inicio, $config['per_page']);
            //$data['certificados_imazon'] = $this->cm->get_all_inativo_imazon($inicio, $config['per_page']);
        }
       // $this->pagination->initialize($config);
        //$data['paginacao'] = $this->pagination->create_links();
	  	*/
	 $this->load->view('adm/tela/marca_certificado_nao_enviados', $data);
     $this->load->view('adm/inc/footer');		
	}
	
	 public function alterar_status_imazon_barras() {  
            
           
             
            /*$id = $this->input->post('fname');
			$codigo=$this->input->post('fname');
			$res=explode("906",$codigo);
			$valor=$res[1];
			$tamanho=strlen($valor);
			$historico = substr($valor, 0, $tamanho-1);	
			*/
			
			$codigo=$_POST['fname'];
			$tamanho=strlen($codigo);
			$historico = substr($codigo, 0, $tamanho-1);
			$tamanho2=strlen($historico);
			$i=1;
			while($i<=$tamanho2){
			$i=$i+1;
				if($historico[$i]!=0){
				$posicao=$i;
				break;
				}
			}
			$historico = substr($historico, $i, $tamanho);
			$hoje=date('Y/m/d');
			$hoje_d=date('Y-m-d');
			$data_inicial='2017-06-05';
                        
			$h=$this->cm->certi_imazon_historico($historico);
		    $id_historico=$h[0]->id_historico;				
		    $status =1;					
            $this->cm->altera_status_imazon_bb($id_historico, $status,$historico);
            
                         echo "<script>alert('Certificado ".$historico." Marcado Como Enviado');</script>";

                          echo '<script language= "JavaScript">
location.href="https://www.cursosvip.com.br/admin/certificados/marca_envio_imazon"
</script>';

            //redirect('admin/certificados/marca_envio_imazon');
      
    }

    
    
    public function gerar_certificado_impresso_imazon()
    {
        $this->load->model('usuarios_model', 'um');
        $idCertificado = base64_decode($this->uri->segment(4));
        $email = base64_decode($this->uri->segment(5));
        $base_legal = $this->bm->get_base_legal_atual();
        $texto = utf8_decode($base_legal[0]->texto);
        
        if ($idCertificado && $email)
        {
            
            $certificados = $this->cm->gera_certificado_inativo_imazon($idCertificado, $email);
            $aluno = $this->um->get_by_id_fic($email)->result();
            if (count($certificados) == 0) 
            {
                redirect('certificados');
            } 
            else 
            {
                $params = array('orientation' => 'L', 'unit' => 'mm', 'size' => 'A5');
                $this->load->library('fpdf');
                $pdf = $this->fpdf;
                foreach ($certificados as $dados_certificado)
                {
                    $this->gera_pdf_eletronico($pdf, $dados_certificado, $texto);
                }

                header('Content-Type: application/pdf');
                $pdf->Output();
            }
        } 
        else 
        {
            $certificados = $this->cm->gera_todos_certificados_inativo_imazon();
            if(count($certificados)>0)
            {
                $params = array('orientation' => 'L', 'unit' => 'mm', 'size' => 'A5');
                $this->load->library('fpdf');
                $pdf = $this->fpdf;
                foreach ($certificados as $dados_certificado)
                {
                    $this->gera_pdf_eletronico($pdf, $dados_certificado, $texto);
                }
                
                header('Content-Type: application/pdf');
                $pdf->Output();
                
            }
            else
            {
                redirect("admin/certificados/nao_enviados");
            }
        }

    }

    
     private function gera_pdf_eletronico($pdf, $dados_certificado, $texto)
    {
        
        $pdf->SetTitle('Imazon Cursos - Certificado Eletronico');

                $pdf->AddPage('L','A4');
                //$pdf->Image('public/img/certificado/frente_sem_ass_aluno.jpg', 1, 1, 295, 212, 'JPG'); //logo
                $pdf->SetFont('Arial', '', 12);
                $pdf->setXY("63", "69"); //77,73

                if(stristr($dados_certificado->cursoNome, 'CURSO') === FALSE)
                {
                    //$dados_certificado->cursoNome = 'OS DIREITOS DAS PESSOAS PORTADORAS DE DEFICIÊNCIAS: PREVISÃO LEGAL E CONSTITUCIONAL';
                    $pdf->MultiCell(200, 4, "Curso: " . strtoupper(utf8_decode(mb_strtoupper($dados_certificado->cursoNome))), 0, ' ');
                }
                else
                {
                    $pdf->MultiCell(200, 3, strtoupper(utf8_decode(mb_strtoupper($dados_certificado->cursoNome))), 0, ' ');
                }
                $pdf->setXY(63, 77); //81

                if ($dados_certificado->situacaohistorico == "2") {
                    $pdf->MultiCell(120, 5, "Aluno(a): " . strtoupper(utf8_decode(mb_strtoupper($dados_certificado->nomeAluno))) . "\n" . utf8_decode("Carga Horária: " . $dados_certificado->carga_horaria) . " Horas" . utf8_decode(' Frequência: 100%')."\n" . utf8_decode("Tipo: Capacitação/ Atualização") . "\n" . "Aproveitamento: " . number_format($dados_certificado->nota, 1, ',', '.'), 0, '');
                } else {
                    $pdf->MultiCell(120, 4.5, "Aluno(a): " . strtoupper(utf8_decode(mb_strtoupper($dados_certificado->nomeAluno))) . "\n" . utf8_decode("Carga Horária: " . $dados_certificado->carga_horaria . " Horas") .  utf8_decode(' Frequência: 100%'). "\n" . utf8_decode("Tipo: Capacitação/ Atualização"), 0, '');
                }

                $rg = '';
                if (!empty($dados_certificado->rg)) {
                    $rg = "RG: " . $dados_certificado->rg;
                }

                $situacao = '';
                if ($dados_certificado->situacaohistorico == "2") {
                    $situacao = 'Situação: Aprovado';
                }

                $pdf->SetFont('Arial', '', 12);
                $pdf->setXY(210, 73); //77

                if ($dados_certificado->situacaohistorico == 1) {
                    $pdf->MultiCell(120, 5, $rg . "\n" . utf8_decode('Período: ') . "\n" . date("d/m/Y", strtotime($dados_certificado->primeiro_dia)), 0, '');
                } elseif ($dados_certificado->situacaohistorico == 2) {
                    $pdf->MultiCell(120, 5, $rg . "\n" . utf8_decode('Período: ') . "\n" . date("d/m/Y", strtotime($dados_certificado->primeiro_dia)) . utf8_decode(' à ') . date("d/m/Y", strtotime($dados_certificado->data_aprovacao)) . "\n" .
                            utf8_decode('Cert. Nº') . $dados_certificado->id_historico . "\n" . utf8_decode($situacao), 0, '');
                } elseif ($certificado->situacaohistorico == 3) {
                    $pdf->MultiCell(120, 5, $rg . "\n" . utf8_decode('Período: ') . "\n" . date("d/m/Y", strtotime($dados_certificado->primeiro_dia)) . utf8_decode(' à ') . date("d/m/Y", strtotime($dados_certificado->data_aprovacao)) . "\n" .
                            utf8_decode('Cert. Nº') . $dados_certificado->id_historico . "\n" . utf8_decode($situacao), 0, '');
                } elseif ($dados_certificado->situacaohistorico == 4) {
                    $pdf->MultiCell(120, 5, $rg . "\n" . utf8_decode('Período: ') . "\n" . date("d/m/Y", strtotime($dados_certificado->primeiro_dia)) . utf8_decode(' à '), 0, '');
                }

                $pdf->Line(50, 98, 256, 98); //20, 102, 190, 102
                $pdf->Line(50, 98, 256, 98); //20, 102, 190, 102

                $pdf->setY(93); //103
                $pdf->SetFont('Arial', 'B', 12);
                $pdf->setX(142);
                $pdf->Cell(0, 5, utf8_decode('Conteúdo do Curso '));

                $pdf->setY(99); //114
                
                if(strlen($dados_certificado->descricao)>1156 )
                {
                    $pdf->SetFont('Arial', '', 8);
                }
                else
                {
                    $pdf->SetFont('Arial', '', 10);
                }
                
                $pdf->setX(55);
                
                $implode_descricao = str_replace("\n", "; ", $dados_certificado->descricao);
                $implode_descricao = utf8_decode($implode_descricao);
                $pdf->MultiCell(195, 4, $implode_descricao, 0, 'J');

                $pdf->Line(50, 149, 256, 149); //20, 156, 200, 156
                $pdf->Line(50, 149, 256, 149); //20, 156, 200, 156

                $pdf->SetFont('Arial', '', 12);
                $texto = $texto;
                $texto = str_replace("\n", "", $texto);

                //$texto_decreto = utf8_decode('Decreto 5154/2004, Art. 3º.');
                $texto_autenticar = utf8_decode("Autenticar em: www.imazoncursos.com.br/autenticacao");
                $text_atutenticacao = utf8_decode('Código de Autenticação: ') . $dados_certificado->codigo_autenticacao;
                $texto_eletronicamente = utf8_decode(' Certificado gerado eletronicamente.');

                $texto_data_geracao = utf8_decode('Local e Data de Emissão: Belém, ') . date("d/m/Y");
                $texto_mantenedora = utf8_decode('Mantenedora: CIDADE APRENDIZAGEM CONSULTORIA EM TECNOLOGIA DA INFORMACAO EIRELI');
                $texto_endereco = utf8_decode('Endereço: Trav. 14 de Março 221, Cep:66055490 Telefone: (11) 5199-4483');

                $pdf->SetFont('Arial', '', 12);
                $pdf->setXY(49,150);
                $pdf->MultiCell(0, 4.3, $texto . "\n" . $texto_autenticar . "\n" . $text_atutenticacao . $texto_eletronicamente . "\n" . $texto_data_geracao . "\n" . $texto_mantenedora . "\n" . $texto_endereco, 0, 'L');

                $pdf->SetLineWidth(0.2);
                $pdf->AddPage('L','A4');
                //echo '<pre>';var_dump($dados_certificado);die;

                //$pdf->Line(50, 178, 125, 178);
                $pdf->SetXY(135, 50);
                $pdf->SetFont('Arial', 'B', 13);
                $pdf->Cell(0, 1, utf8_decode('HISTÓRICO'), 0, 0);
                 $pdf->SetFont('Arial', '', 12);
                 $pdf->SetXY(40, 55);
                $this->fpdf->MultiCell(220, 6, utf8_decode('É um Programa de Formação Continuada que dá acesso a cursos livres através da internet em várias áreas do conhecimento, disponibilizando conteúdos no formato de texto e vídeo disponíveis na internet, além de indicação de livros e bibliotecas públicas virtuais, a fim de aprimorar os conhecimentos dos alunos. Aos concluintes que solicitarem é emitido um certificado, que comprova sua participação no curso.'), 0,'J');
 $pdf->SetXY(135, 50);
                
                $pdf->SetXY(138, 90);
                $pdf->SetFont('Arial', 'B', 13);
                $pdf->Cell(0, 1, utf8_decode('MISSÃO'), 0, 0);
                 $pdf->SetFont('Arial', '', 12);
                 $pdf->SetXY(70, 95);
                $this->fpdf->MultiCell(220, 6, utf8_decode('Compartilhar conhecimentos disponíveis na rede mundial de computadores.'), 0,'J');

                $pdf->SetXY(128, 115);
                $pdf->SetFont('Arial', 'B', 13);
                $pdf->Cell(0, 1, utf8_decode('INFORMAÇÕES'), 0, 0);
                 $pdf->SetFont('Arial', '', 12);
                 $pdf->SetXY(40, 120);
                $this->fpdf->MultiCell(220, 6, utf8_decode('Razão Social:  OVUMTEC CONSULTORIA EM TECNOLOGIA DA INFORMACAO EIRELI 
Nome Fantasia: OVUMTEC SOLUÇÕES
Endereço: Travessa 14 de Março, 221, Belém, Pará, Cep 66055-000
CNAE de Referencia:  85.99-6-99 - Outras atividades de ensino não especificadas anteriormente
Nota Explicativa:
Esta subclasse compreende:- as instituições que oferecem cursos de educação profissional de nível básico, de duração
variável,  destinados  a  qualificar  e  requalificar  os  trabalhadores,  independentemente  da  escolaridade  prévia,  não
estando sujeitos a regulamentação curricular
Fundada em 18/05/2009'), 0,'J');
 $pdf->SetXY(135, 50);
               /* $pdf->Line(199, 178, 255, 178);

                  $pdf->SetXY(210, 180);
                  $pdf->Image('../public/img/certificado/rubrica_2.png', 210, 160, 40);

                  $pdf->Cell(0, 1, 'Prof. Me. Ezelildo G Dornelas', 0, 0);

                  $pdf->SetXY(228, 183);

                  $pdf->Cell(0, 1, 'Diretor', 0, 0);*/
    }
    

    //gera certificado web
    function gerar_etiqueta(){
        $this->load->model('usuarios_model', 'um');
        
        if($this->uri->segment(4)){
            $aluno = base64_decode($this->uri->segment(4));
            $data['usuario'] = $this->um->get_by_email($aluno)->result();
            //$params = array('orientation' => 'P', 'unit' => 'mm', 'size' => 'A4');
            $this->load->library('fpdf');
            $this->fpdf->SetFont('Arial', '', 12);
            $this->fpdf->AddPage();
            $this->fpdf->setY(50);
            $this->fpdf->setX(40);
            $this->fpdf->MultiCell(120, 4, "\n" . utf8_decode($data['usuario'][0]->nome) . "\n\n" . utf8_decode($data['usuario'][0]->endereco) . ", " . $data['usuario'][0]->numero . ", " . utf8_decode($data['usuario'][0]->complemento)  . "\n\n " . utf8_decode($data['usuario'][0]->bairro). ", \n\n" . utf8_decode($data['usuario'][0]->cidade) . ", " . utf8_decode($data['usuario'][0]->estado) . "\n\nCEP: " . $data['usuario'][0]->cep . "\n\n", 1, 'L');
            $this->fpdf->Output();
        }else{
            $certificados = $this->cm->gera_todas_etiquetas()->result();
            if(count($certificados)>0){
                //$params = array('orientation' => 'P', 'unit' => 'mm', 'size' => 'A4');
                $this->load->library('fpdf');
                //$params = array('orientation' => 'P', 'unit' => 'mm', 'size' => 'A4');
                foreach($certificados as $c){
                    $data['usuario'] = $this->um->get_by_id_fic($c->email)->result();
                    $this->load->library('fpdf');
                    $this->fpdf->SetFont('Arial', '', 12);
                    $this->fpdf->AddPage();
                    $this->fpdf->Image('imgs/sdfwufg2.jpg',80,5,40,40);
                    $this->fpdf->setY(50);
                    $this->fpdf->setX(40);
                    $this->fpdf->MultiCell(120, 4, "\n" . utf8_decode($data['usuario'][0]->nome) . "\n\n" . utf8_decode($data['usuario'][0]->endereco) . ", " . $data['usuario'][0]->numero . ", " . utf8_decode($data['usuario'][0]->complemento) . "\n\n " . utf8_decode($data['usuario'][0]->bairro). ", \n\n" . utf8_decode($data['usuario'][0]->cidade) . ", " . utf8_decode($data['usuario'][0]->estado) . "\n\nCEP: " . $data['usuario'][0]->cep . "\n\n", 1, 'L');
                }
                $this->fpdf->Output();
            }    
        }
    }

    //gera certificado web
    function gerar_etiqueta_imazon() {
        $this->load->model('usuarios_model', 'um');
        
        if($this->uri->segment(4)){
            $aluno = base64_decode($this->uri->segment(4));
            $data['usuario'] = $this->um->get_by_email($aluno)->result();
            $params = array('orientation' => 'P', 'unit' => 'mm', 'size' => 'A4');
            $this->load->library('fpdf', $params);
            $this->fpdf->SetFont('Arial', '', 16);
            $this->fpdf->AddPage();
            $this->fpdf->setY(50);
            $this->fpdf->setX(40);
		
            $this->fpdf->MultiCell(120, 2.5, "\n" . utf8_decode($data['usuario'][0]->nome) . "\n\n" . utf8_decode($data['usuario'][0]->endereco) . ", " . $data['usuario'][0]->numero . ", " . $data['usuario'][0]->complemento . "\n\n " . utf8_decode($data['usuario'][0]->bairro). ", \n\n" . utf8_decode($data['usuario'][0]->cidade) . ", " . utf8_decode($data['usuario'][0]->estado) . "\n\nCEP: " . $data['usuario'][0]->cep . "\n\n", 1, 'L');
            $this->fpdf->Output();
        }else{
           $certificados = $this->cm->gera_todas_etiquetas_imazon();
           //require_once(APPPATH.'libraries/fpdf/fpdf.php');
		   //$params = array('orientation' => 'P', 'unit' => 'mm', 'size' => 'A4');
                   $this->load->library('fpdf');
		   //$this->fpdf = new FPDF($params);
		  
		
		   
		   
           if(count($certificados)>0){
                //$params = array('orientation' => 'P', 'unit' => 'mm', 'size' => 'A4');
				
                //$this->load->library('fpdf', $params);
                //$params = array('orientation' => 'P', 'unit' => 'mm', 'size' => 'A4');
               // $this->fpdf->AddPage();
                $y_etiq = 12;
                $y_img  = 10;
                
                $count_pages = 0;
                
                foreach($certificados as $c){
                   $this->fpdf->AddPage();
                    $this->fpdf->SetFont('Arial', 'B', 16);
                    if($count_pages == 7){
                        $this->fpdf->AddPage();
                        $y_etiq = 60;
                        $y_img  = 60;
                        $count_pages = 0;
                    }
//                    $this->fpdf->setY(100);
//                    $this->fpdf->setX(40);
                    $this->fpdf->Image('imgs/sdfwufg2.jpg',10,55,50,50);
                    //$this->fpdf->MultiCell(120, 5, "a");
                    $this->fpdf->setY($y_etiq);
                    $this->fpdf->setXY(70,60);
                    $this->fpdf->MultiCell(120, 10, utf8_decode($c->nomeAluno) ."\n". utf8_decode($c->endereco) . ", " . utf8_decode($c->numero) . ", " . utf8_decode($c->complemento)  ." - ". utf8_decode($c->bairro). " \n" . utf8_decode($c->cidade) . " - " . utf8_decode($c->estado) . "\nCEP: " . $this->mask($c->cep,'#####-###') , 1, 'L');
                    
//                    $x_img +=30;
//                    $y_img  += 40;
//                    $y_etiq += 40;
                    $count_pages++;	
                }
                
                $this->fpdf->Output();
            }     
        }
    }
    
    public function mask($val, $mask){

	 $maskared = '';

	 $k = 0;

	 for($i = 0; $i<=strlen($mask)-1; $i++)

	 {
	 if($mask[$i] == '#')

	 {

	 if(isset($val[$k]))

	 $maskared .= $val[$k++];

	 }

	 else

	 {

	 if(isset($mask[$i]))

	 $maskared .= $mask[$i];

	 }

	 }

	 return $maskared;

	}
    
    public function alterar_status() {

        if ($this->uri->segment(4) !== null && $this->uri->segment(5) !== null) {
            $id = decodifica($this->uri->segment(5));
            $status = $this->uri->segment(4);
            $this->cm->altera_status($id, $status);
            redirect('admin/certificados/nao_enviados');
        }
    }
    
    public function alterar_status_imazon() {
        if ($this->uri->segment(4) !== null && $this->uri->segment(5) !== null) {
            $id = decodifica($this->uri->segment(5));
            $status = $this->uri->segment(4);
            $this->cm->altera_status_imazon($id, $status, decodifica($this->uri->segment(5)));
            redirect('admin/certificados/nao_enviados');
        }
    }

}
